Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Interface DiscountCalculator

All Known Implementing Classes:
  AbstractDiscountCalculator, DiscountCalculatorFixedOff, DiscountCalculatorFixedPrice, DiscountCalculatorPercentOff

Deprecated

    @Deprecated
    public interface DiscountCalculator

The DiscountCalculator will produce the new price of an entity (item, order shipping, ...) given a DiscountModifier instance and an entity. DiscountModifier is used by a DiscountCalculator to determine to what amount an entity should be discounted. This class should be implemented to produce a particular type of calculator. A specific DiscountCalculator implementation will be associated with a particular type or types of DiscountModifier classes at runtime.

Field Summary
`static String` | `calcMethod` Deprecated

Method Summary
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, List items)` Deprecated List of PoolObject(s).
`void` | `calcNewPrice(DiscountModifier modifier, AdjustmentType type, QualificationDiscountId discountID, String reason, PoolObject item)` Deprecated

Field Detail

### calcMethod

    static final String calcMethod

  Deprecated
  See Also
    Constants Summary

Method Detail

### calcNewPrice

    void calcNewPrice(DiscountModifier modifier,
                      AdjustmentType type,
                      QualificationDiscountId discountID,
                      String reason,
                      PoolObject item)

  Deprecated

### calcNewPrice

    void calcNewPrice(DiscountModifier modifier,
                      AdjustmentType type,
                      QualificationDiscountId discountID,
                      String reason,
                      List items)

  Deprecated
  List of PoolObject(s).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.